register = {}

function register.registerSpecializationVehicle(vehicleType, specialization, specName)
    --print("-----register specialization to vehicleType : ".. vehicleType.name)
    table.insert(vehicleType.specializationNames, specName)
    vehicleType.specializationsByName[specName] = specialization
    table.insert(vehicleType.specializations, specialization)
end

g_specializationManager.addSpecialization('TracAnim', 'TracAnim', 'TracAnim',  Utils.getFilename("scripts/TracAnim.lua", g_currentModDirectory))
    
if  g_vehicleTypeManager.vehicleTypes.TracAnimTank ~= nil then
    register.registerSpecializationVehicle(g_vehicleTypeManager.vehicleTypes.TracAnimTank, TracAnim, 'TracAnim')
end
print("----TracAnim registered.")